[Numpy-discussion] numpy broken by r8077?

Fernando Perez fperez.net@gmail....
Thu Jan 21 20:39:29 CST 2010


On Thu, Jan 21, 2010 at 6:12 PM, David Cournapeau <david@silveregg.co.jp> wrote:
> This is typically caused by incompatible python (e.g. you build with one
> python using 4-bytes/char unicode, and numpy is built against a python
> using 2-bytes/char). Anyway, very unlikely to be caused by r8077.
>
> I suspect some mixedup in your build - can you build numpy r8077 from
> scratch, after having removed installed and build directories ?
>

Dead-on, thanks!

For the record, in case anyone encounters a similar situation: this
box is now running ubuntu 9.10, recently upgraded from 8.10.  In 8.10,
the system python was 2.5, so I had built python2.6 and put it in
/usr/local/, that was 2.6.2.

I now updated the machine, and it's python2.6 is 2.6.4.  But my build
script ended up building numpy against the 2.6.2 (likely a UCS2
build), giving me a numpy build that couldn't be imported by the
system python.

Subtle, but perfectly reasonable in retrospect.  Thanks a lot for your
hint, David, it was clear enough to let me understand the problem.

Sorry for the noise,

f


More information about the NumPy-Discussion mailing list